SFCONV(1)

NAME
sfconv - A tool for converting the encoding of Standard Format (SF) files

SYNOPSIS

  8-bit to Unicode:

sfconv -8u [-utf8|-be|-le] [-bom] -c ControlFile [-d MappingDirectory] -i InFile -o OutFile

  Unicode to 8-bit:

sfconv -u8 [-utf8|-be|-le] -c ControlFile [-d MappingDirectory] -i InFile -o OutFile

DESCRIPTION
A tool for converting Standard Format (SF) files is included in the current TECkit package. This is sfconv , a command-line tool that uses an XML “control file” to specify the mappings associated with the various markers in an SF file. Note that the current SFconv tool should be considered a prototype rather than a full solution to the issue of SF conversions. A more complete tool with an improved user interface would be desirable.

OPTIONS
The SFconv utility uses command-line options to specify the conversion direction, control file, and input and output files. The required arguments are:

-8u|-u8
    conversion direction: 8-bit to Unicode or vice versa

-ccontrolFile
    specifies XML control file

-iinFile
    specifies filename of input SF file

-ooutFile
    specifies filename for converted output In addition, the following optional arguments may be used if appropriate:

-dmappingDir
    directory where mapping files ( .tec files) are to be found

-utf8|-be|-le
    Unicode encoding form: UTF-8, UTF-16BE, or UTF16-LE (default is UTF8 for output, or detected from input file if BOM is present)

-bom
    (only when mapping to Unicode) write initial BOM to the output file

-nfc|-nfd
    (only when mapping to Unicode) normalize to NFC or NFD

Further Information
For further information see the document TECkit_Tools.pdf. On a Debian system, this can be found in /usr/share/doc/teckit.